import java.util.Scanner; 

public class LeapYear {
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);
    System.out.print("Wpisz rok: ");
    int year = input.nextInt();

    // Sprawdzanie, czy rok jest przestępny
    boolean isLeapYear = 
      (year % 4 == 0 && year % 100 != 0) || (year % 400 == 0);

    // Wyświetlanie wyniku
    System.out.println(year + " jest rokiem przestępnym? " + isLeapYear);   
  } 
}
